{%extends 'base.html'%}
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    {%block meta%}
    <meta charset="UTF-8">
    <link rel="stylesheet" href="{% static 'story9.css' %}">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.5.0/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.13.0/js/all.min.js"></script>
    <script src="{% static 'story9.js' %}"></script>
    <link rel="stylesheet" href= "https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <title>Login</title>
</head>
    {%endblock meta%}
<body>
{%block content%}
<div class="main-login">
    <div class="login-section">
        <div id="logIn" class="auth-section">
            <h1 class="login-header">Login</h1>
            <div class="error-message"></div>
            <div class="success-message"></div>
            <div class="label-group">
                <label class="input-label">Username</label>
                <div class="input-group">
                    <input type="text"  class="input" name="username"
                           autocomplete="off">
                </div>
            </div>
            <div class="label-group">
                <label class="input-label">Password</label>
                <div class="input-group">
                    <input type="password"  class="input" name="password">
                </div>
            </div>
            <button class="main-button" id="logInButton">
                <div class="lds-ring loading-hide">
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                </div>
                <div class="button-inner">Log In</div>
            </button>
            <button class="main-button" id="createAccountLink">Create new account</button>
        </div>
        <div id="signUp" class="auth-section hide">
            <h1 class="login-header">Create new account</h1>
            <div class="error-message"></div>
            <div class="success-message"></div>
            <div class="label-group">
                <label class="input-label">Username</label>
                <div class="input-group">
                    <input type="text" class="input" name="s_username"
                           autocomplete="off">
                </div>
            </div>
            <div class="label-group">
                <label class="input-label">Email</label>
                <div class="input-group">
                    <input type="email" class="input" name="s_email">
                </div>
            </div>
            <div class="label-group">
                <label class="input-label">Password</label>
                <div class="input-group">
                    <input type="password" class="input" name="s_password">
                </div>
            </div>
            <div class = "container-fluid">
            <button class="main-button" id="signUpButton">
                <div class="lds-ring loading-hide">
                    <div></div>
                    <div></div>
                    <div></div>
                    <div></div>
                </div>
                <div class="button-inner">Sign Up</div>
            </button>
            <button class="main-button" id="loginLink">Log in</button>
            <div>
        </div>
    </div>
</div>

</body>
{%endblock content%}
</html>
